## signify-openbsd 12

=== Makefile ===
#
# Makefile
# Adrian Perez, 2014-01-14 14:33
#

CFLAGS += $(EXTRA_CFLAGS)
LDFLAGS += $(EXTRA_LDFLAGS)

S := crypto_api.c \
     mod_ed25519.c \
		 mod_ge25519.c \
		 fe25519.c \
		 sc25519.c \
		 smult_curve25519_ref.c \
		 bcrypt_pbkdf.c \
		 timingsafe_bcmp.c \
		 explicit_bzero.c \
		 blowfish.c \
		 base64.c \
		 sha2.c \
		 sha256hl.c \
		 sha512hl.c \
		 signify.c

ifeq ($(strip $(VERIFY_ONLY)),)
S += ohash.c
else
     CPPFLAGS += -DVERIFY_ONLY=1
     $(warning )
     $(warning ******************************************************)
     $(warning )
     $(warning Building with VERIFY_ONLY enabled is unsupported, YMMV)
     $(warning )
     $(warning ******************************************************)
     $(warning )
endif

ifeq ($(strip $(BOUNDS_CHECKING)),)
    CPPFLAGS += -D'__bounded__(a,b,c)='
endif

ifneq ($(strip $(LTO)),)
    CFLAGS += -flto
    LDFLAGS += -flto
endif

O := $(patsubst %.c,%.o,$S)

PKG_VER    := 0.7
PKG_CHECK  := $(shell pkg-config libbsd --atleast-version=$(PKG_VER) && echo ok)
ifneq ($(strip $(PKG_CHECK)),ok)
$(error libbsd is not installed or version is older than $(PKG_VER))
endif

PKG_CFLAGS := $(shell pkg-config libbsd --cflags)
PKG_LDLIBS := $(shell pkg-config libbsd --libs)

all: signify

signify: $O
	$(CC) $(LDFLAGS) -o $@ $^ $(PKG_LDLIBS)
signify: CFLAGS += $(PKG_CFLAGS) -Wall

clean:
	$(RM) $O signify signify.1.gz sha256hl.c sha512hl.c

signify.1.gz: signify.1
	gzip -9c $< > $@

sha256hl.c: helper.c
	sed -e 's/hashinc/sha2.h/g' \
	    -e 's/HASH/SHA256/g' \
	    -e 's/SHA[0-9][0-9][0-9]_CTX/SHA2_CTX/g' $< > $@

sha512hl.c: helper.c
	sed -e 's/hashinc/sha2.h/g' \
	    -e 's/HASH/SHA512/g' \
	    -e 's/SHA[0-9][0-9][0-9]_CTX/SHA2_CTX/g' $< > $@

install: signify signify.1.gz
	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 -t $(DESTDIR)$(PREFIX)/bin signify
	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 -t $(DESTDIR)$(PREFIX)/share/man/man1 signify.1.gz

.PHONY: install

GIT_TAG  = $(shell git describe --tags HEAD)
dist: T := $(GIT_TAG)
dist: V := $(patsubst v%,%,$T)
dist:
	git archive --prefix=signify-$V/ $T | xz -9c > signify-$V.tar.xz

.PHONY: dist

=== debian/changelog ===
signify-openbsd (12-1) unstable; urgency=medium

  * Moved to unstable
  * New upstream version

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Fri, 24 Jul 2015 18:13:13 +1000

signify-openbsd (10-1) experimental; urgency=low

  * Added Theo de Raadt to d/copyright for arc4random.c and arc4random.h
  * Explicitly declare that the libbsd0 version required must be at least 0.7.0
  * Migrated to collab-maint; updated Vcs-* fields
  * New upstream version
  * Regenerated patches in d/patches to work wih the new upstream version

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Sun, 22 Mar 2015 14:38:30 +1100

signify-openbsd (9-1) experimental; urgency=low

  * Initial release (Closes: #773850)

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Tue, 23 Dec 2014 18:07:46 +1100

## signify-openbsd 13

=== Makefile ===
--- 
+++ 
@@ -3,24 +3,50 @@
 # Adrian Perez, 2014-01-14 14:33
 #
 
+PLEDGE ?= noop
 CFLAGS += $(EXTRA_CFLAGS)
 LDFLAGS += $(EXTRA_LDFLAGS)
 
 S := crypto_api.c \
      mod_ed25519.c \
-		 mod_ge25519.c \
-		 fe25519.c \
-		 sc25519.c \
-		 smult_curve25519_ref.c \
-		 bcrypt_pbkdf.c \
-		 timingsafe_bcmp.c \
-		 explicit_bzero.c \
-		 blowfish.c \
-		 base64.c \
-		 sha2.c \
-		 sha256hl.c \
-		 sha512hl.c \
-		 signify.c
+	 mod_ge25519.c \
+	 fe25519.c \
+	 sc25519.c \
+	 smult_curve25519_ref.c \
+	 bcrypt_pbkdf.c \
+	 timingsafe_bcmp.c \
+	 explicit_bzero.c \
+	 blowfish.c \
+	 base64.c \
+	 sha2.c \
+	 sha256hl.c \
+	 sha512hl.c \
+	 signify.c
+
+CPPFLAGS += -include compat.h
+
+PLEDGE := $(strip $(PLEDGE))
+ifneq ($(PLEDGE),)
+    S += pledge_$(PLEDGE).c
+endif
+
+
+all: signify
+
+
+# In order to use libwaive, we need libseccomp and making sure that the
+# Git submodule corresponding to libwaive is properly checked out.
+ifeq ($(PLEDGE),waive)
+SECCOMP_CFLAGS := $(shell pkg-config libseccomp --cflags)
+SECCOMP_LIBS   := $(shell pkg-config libseccomp --libs)
+CFLAGS  += $(SECCOMP_CFLAGS) -pthread
+LDFLAGS += $(SECCOMP_LIBS) -pthread
+S       += libwaive/waive.c
+
+libwaive/waive.c: .gitmodules
+	git submodule init && git submodule update libwaive
+	touch $@
+endif
 
 ifeq ($(strip $(VERIFY_ONLY)),)
 S += ohash.c
@@ -35,8 +61,8 @@
      $(warning )
 endif
 
-ifeq ($(strip $(BOUNDS_CHECKING)),)
-    CPPFLAGS += -D'__bounded__(a,b,c)='
+ifeq ($(strip $(BOUNDS_CHECKING)),1)
+    CPPFLAGS += -DCOMPAT_BOUNDS_CHECKING
 endif
 
 ifneq ($(strip $(LTO)),)
@@ -54,8 +80,6 @@
 
 PKG_CFLAGS := $(shell pkg-config libbsd --cflags)
 PKG_LDLIBS := $(shell pkg-config libbsd --libs)
-
-all: signify
 
 signify: $O
 	$(CC) $(LDFLAGS) -o $@ $^ $(PKG_LDLIBS)

=== debian/changelog ===
signify-openbsd (13-1) unstable; urgency=medium

  * New upstream version
  * Updated copyright years
  * Updated patches to work with new version

 -- Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>  Mon, 04 Jan 2016 22:27:55 +1100

=== debian/control ===
Source: signify-openbsd
Section: utils
Priority: optional
Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
Build-Depends: debhelper (>= 9), libbsd-dev (>= 0.7.0), pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/aperezdc/signify
Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git

Package: signify-openbsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbsd0 (>= 0.7.0)
Description: Lightweight cryptographic signing and verifying tool
 Similar to GNU Privacy Guard (GPG), signify is the tool which
 OpenBSD uses to cryptographically sign its releases, so that
 you can be sure that you are actually getting a release made by
 OpenBSD, as opposed to a malicious forgery designed to look
 the same.
 .
 Signify's usage is not limited to OpenBSD's releases, however -
 it can be used to sign anything.
 .
 So that it will work on Linux, the version of signify provided
 in this package is not exactly the same as the version provided
 in OpenBSD's CVS tree.
 .
 Please note that OpenBSD's public keys are not included with
 this package; you will have to find your own version in order
 to verify their releases.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installman:
	mv signify.1 signify-openbsd.1
	dh_installman

override_dh_clean:
	if [ -f signify-openbsd.1 ]; then \
		mv signify-openbsd.1 signify.1; \
	fi
	dh_clean

## signify-openbsd 21

=== debian/changelog ===
signify-openbsd (21-1) unstable; urgency=medium

  * d/control: make myself the maintainer (Closes: #855639)
  * d/*: refresh the build files
  * Bumped Standards-Version to 4.0.0 (no changes needed)
  * New upstream version 21

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Jul 2017 13:20:55 +0200

## signify-openbsd 22

=== debian/changelog ===
signify-openbsd (22-1) unstable; urgency=medium

  * New upstream version 22

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 23 Aug 2017 23:36:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: signify-openbsd
 Section: utils
 Priority: optional
-Maintainer: Riley Baird <BM-2cVqnDuYbAU5do2DfJTrN7ZbAJ246S4XiX@bitmessage.ch>
-Build-Depends: debhelper (>= 9), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 3.9.6
+Maintainer: Tomasz Buchert <tomasz@debian.org>
+Build-Depends: debhelper (>= 10), libbsd-dev (>= 0.7.0), pkg-config
+Standards-Version: 4.0.0
 Homepage: https://github.com/aperezdc/signify
 Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git

## signify-openbsd 23

=== Makefile ===
--- 
+++ 
@@ -1,41 +1,168 @@
-#
-# Makefile
-# Adrian Perez, 2014-01-14 14:33
-#
-
-PLEDGE ?= noop
-CFLAGS += $(EXTRA_CFLAGS)
-LDFLAGS += $(EXTRA_LDFLAGS)
+##################################################################
+# The following variables may be overriden in the command line:  #
+#                                                                #
+BZERO          ?=
+MUSL           ?= 0
+BUNDLED_LIBBSD ?= 0
+PLEDGE         ?= noop
+WGET           ?= wget
+libbsd_VERSION ?= 0.8.3
+libbsd_BASEURL ?= http://libbsd.freedesktop.org/releases/
+#                                                                #
+##################################################################
+
+CFLAGS   += $(EXTRA_CFLAGS)
+LDFLAGS  += $(EXTRA_LDFLAGS)
+CPPFLAGS += -include compat.h
 
 S := crypto_api.c \
      mod_ed25519.c \
 	 mod_ge25519.c \
 	 fe25519.c \
 	 sc25519.c \
-	 smult_curve25519_ref.c \
 	 bcrypt_pbkdf.c \
 	 timingsafe_bcmp.c \
-	 explicit_bzero.c \
 	 blowfish.c \
 	 base64.c \
 	 sha2.c \
 	 sha256hl.c \
 	 sha512hl.c \
-	 signify.c
-
-CPPFLAGS += -include compat.h
+	 signify.c \
+	 zsig.c
+
+define SED_LAST_LINE
+sed -n -e '/^[a-zA-Z_-]\+$$/p' | sed -n '$$p'
+endef
+
+BZERO := $(strip $(BZERO))
+ifeq ($(BZERO),)
+  BZERO := $(strip $(shell $(CC) -x c -E -P explicit_bzero.h | $(SED_LAST_LINE)))
+endif
+ifeq ($(BZERO),bundled)
+  CPPFLAGS += -DBUNDLED_BZERO=1
+  S += explicit_bzero.c
+endif
 
 PLEDGE := $(strip $(PLEDGE))
 ifneq ($(PLEDGE),)
     S += pledge_$(PLEDGE).c
 endif
 
+MUSL := $(strip $(MUSL))
+ifeq ($(MUSL),1)
+  CC ?= musl-gcc
+  BUNDLED_LIBBSD := 1
+endif
+
+BUNDLED_LIBBSD := $(strip $(BUNDLED_LIBBSD))
+BUNDLED_LIBBSD_VERIFY_GPG := $(strip $(BUNDLED_LIBBSD_VERIFY_GPG))
+
+ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
+  ifeq ($(BUNDLED_LIBBSD_VERIFY_GPG),)
+    # Try to detect whether "gpg" is installed.
+    BUNDLED_LIBBSD_VERIFY_GPG := $(shell which gpg 2> /dev/null || echo 0)
+  endif
+endif
+
 
 all: signify
+clean:
+
+
+# Building a static binary with Musl requires a patched libbsd.
+# The rules take care of:
+#
+#   - Downloading a release (needed tools: wget).
+#   - Check the PGP signature (needed tools: gpg).
+#   - Unpack the tarball (needed tools: xz, tar).
+#   - Patch libbsd (needed tools: patch).
+#   - Build libbsd.
+#
+# TODO: Also support curl for downloads.
+#
+ifeq ($(BUNDLED_LIBBSD),1)
+
+libbsd_VERSION  := $(strip $(libbsd_VERSION))
+libbsd_BASEURL  := $(strip $(libbsd_BASEURL))
+libbsd_PATCHES  := $(wildcard patches/libbsd-$(libbsd_VERSION)/*.patch)
+libbsd_TAR_NAME := libbsd-$(libbsd_VERSION).tar.xz
+libbsd_TAR_URL  := $(libbsd_BASEURL)/$(libbsd_TAR_NAME)
+libbsd_ARLIB    := libbsd-prefix/lib/libbsd.a
+libbsd_INCLUDE  := libbsd-prefix/include
+
+ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
+libbsd_ASC_NAME := $(libbsd_TAR_NAME).asc
+libbsd_ASC_URL  := $(libbsd_BASEURL)/$(libbsd_ASC_NAME)
+$(libbsd_ASC_NAME):
+	$(WGET) -cO $@ '$(libbsd_ASC_URL)'
+	touch $@
+endif
+
+$(libbsd_TAR_NAME): $(libbsd_ASC_NAME)
+	$(WGET) -cO $@ '$(libbsd_TAR_URL)'
+ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
+	$(BUNDLED_LIBBSD_VERIFY_GPG) --verify $(libbsd_ASC_NAME)
+endif
+	touch $@
+
+libbsd-download: $(libbsd_TAR_NAME)
+
+libbsd-clean:
+	$(RM) -r libbsd-prefix libbsd-$(libbsd_VERSION)
+
+clean: libbsd-clean
+
+libbsd-print-urls:
+ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
+	@echo '$(libbsd_ASC_URL)'
+endif
+	@echo '$(libbsd_TAR_URL)'
+
+libbsd-$(libbsd_VERSION)/configure: $(libbsd_TAR_NAME)
+	unxz -c $< | tar -xf -
+	touch $@
+
+libbsd-$(libbsd_VERSION)/.patched: libbsd-$(libbsd_VERSION)/configure $(libbsd_PATCHES)
+ifeq ($(MUSL),1)
+	@( cd libbsd-$(libbsd_VERSION) && for p in $(libbsd_PATCHES) ; do \
+		echo "==> $$p" && patch -p1 < "$(CURDIR)/$$p" ; done )
+endif
+	touch $@
+
+libbsd-$(libbsd_VERSION)/Makefile: libbsd-$(libbsd_VERSION)/.patched
+	( cd libbsd-$(libbsd_VERSION) && ./configure \
+		--enable-static --disable-shared \
+		--prefix=$$(pwd)/../libbsd-prefix \
+		CC=$(CC) LD=$(CC) )
+
+$(libbsd_ARLIB) $(libbsd_INCLUDE)/bsd/bsd.h: libbsd-$(libbsd_VERSION)/Makefile
+	$(MAKE) -C libbsd-$(libbsd_VERSION) install
+
+.PHONY: libbsd-download libbsd-clean libbsd-print-urls
+
+LIBBSD_DEPS    := libbsd-prefix/lib/libbsd.a
+LIBBSD_CFLAGS  := -isystem libbsd-prefix/include
+LIBBSD_LDFLAGS :=
+
+$S: $(libbsd_INCLUDE)/bsd/bsd.h
+
+else
+
+LIBBSD_PKG_VERSION := 0.7
+LIBBSD_PKG_CHECK   := $(shell pkg-config libbsd --atleast-version=$(LIBBSD_PKG_VERSION) && echo ok)
+ifneq ($(strip $(LIBBSD_PKG_CHECK)),ok)
+  $(error libbsd is not installed or version is older than $(LIBBSD_PKG_VERSION))
+endif
+LIBBSD_DEPS    :=
+LIBBSD_CFLAGS  := $(shell pkg-config libbsd --cflags)
+LIBBSD_LDFLAGS := $(shell pkg-config libbsd --libs)
+
+endif
 
 
 # In order to use libwaive, we need libseccomp and making sure that the
 # Git submodule corresponding to libwaive is properly checked out.
+#
 ifeq ($(PLEDGE),waive)
 SECCOMP_CFLAGS := $(shell pkg-config libseccomp --cflags)
 SECCOMP_LIBS   := $(shell pkg-config libseccomp --libs)
@@ -72,21 +199,16 @@
 
 O := $(patsubst %.c,%.o,$S)
 
-PKG_VER    := 0.7
-PKG_CHECK  := $(shell pkg-config libbsd --atleast-version=$(PKG_VER) && echo ok)
-ifneq ($(strip $(PKG_CHECK)),ok)
-$(error libbsd is not installed or version is older than $(PKG_VER))
-endif
-
-PKG_CFLAGS := $(shell pkg-config libbsd --cflags)
-PKG_LDLIBS := $(shell pkg-config libbsd --libs)
-
-signify: $O
-	$(CC) $(LDFLAGS) -o $@ $^ $(PKG_LDLIBS)
-signify: CFLAGS += $(PKG_CFLAGS) -Wall
-
-clean:
+
+signify: CFLAGS += $(LIBBSD_CFLAGS) -Wall
+signify: $O $(LIBBSD_DEPS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBBSD_LDFLAGS) $(LDLIBS)
+
+clean-signify:
 	$(RM) $O signify signify.1.gz sha256hl.c sha512hl.c
+
+clean: clean-signify
+.PHONY: clean-signify
 
 signify.1.gz: signify.1
 	gzip -9c $< > $@

=== debian/changelog ===
signify-openbsd (23-1) unstable; urgency=medium

  * New upstream version 23
  * Bumped Standards-Version to 4.1.0 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 24 Nov 2017 08:50:45 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 10), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://github.com/aperezdc/signify
 Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git

=== debian/watch ===
version=3
opts=uversionmangle=s/v// \
https://github.com/aperezdc/signify/releases /aperezdc/signify/archive/(.+)\.tar\.gz

## signify-openbsd 24

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 BUNDLED_LIBBSD ?= 0
 PLEDGE         ?= noop
 WGET           ?= wget
-libbsd_VERSION ?= 0.8.3
+libbsd_VERSION ?= 0.9.1
 libbsd_BASEURL ?= http://libbsd.freedesktop.org/releases/
 #                                                                #
 ##################################################################
@@ -27,6 +27,7 @@
 	 sha2.c \
 	 sha256hl.c \
 	 sha512hl.c \
+	 sha512_256hl.c \
 	 signify.c \
 	 zsig.c
 
@@ -69,13 +70,12 @@
 clean:
 
 
-# Building a static binary with Musl requires a patched libbsd.
+# Building a static binary with Musl requires a few extra steps.
 # The rules take care of:
 #
 #   - Downloading a release (needed tools: wget).
 #   - Check the PGP signature (needed tools: gpg).
 #   - Unpack the tarball (needed tools: xz, tar).
-#   - Patch libbsd (needed tools: patch).
 #   - Build libbsd.
 #
 # TODO: Also support curl for downloads.
@@ -84,7 +84,6 @@
 
 libbsd_VERSION  := $(strip $(libbsd_VERSION))
 libbsd_BASEURL  := $(strip $(libbsd_BASEURL))
-libbsd_PATCHES  := $(wildcard patches/libbsd-$(libbsd_VERSION)/*.patch)
 libbsd_TAR_NAME := libbsd-$(libbsd_VERSION).tar.xz
 libbsd_TAR_URL  := $(libbsd_BASEURL)/$(libbsd_TAR_NAME)
 libbsd_ARLIB    := libbsd-prefix/lib/libbsd.a
@@ -122,14 +121,7 @@
 	unxz -c $< | tar -xf -
 	touch $@
 
-libbsd-$(libbsd_VERSION)/.patched: libbsd-$(libbsd_VERSION)/configure $(libbsd_PATCHES)
-ifeq ($(MUSL),1)
-	@( cd libbsd-$(libbsd_VERSION) && for p in $(libbsd_PATCHES) ; do \
-		echo "==> $$p" && patch -p1 < "$(CURDIR)/$$p" ; done )
-endif
-	touch $@
-
-libbsd-$(libbsd_VERSION)/Makefile: libbsd-$(libbsd_VERSION)/.patched
+libbsd-$(libbsd_VERSION)/Makefile: libbsd-$(libbsd_VERSION)/configure
 	( cd libbsd-$(libbsd_VERSION) && ./configure \
 		--enable-static --disable-shared \
 		--prefix=$$(pwd)/../libbsd-prefix \
@@ -205,7 +197,7 @@
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBBSD_LDFLAGS) $(LDLIBS)
 
 clean-signify:
-	$(RM) $O signify signify.1.gz sha256hl.c sha512hl.c
+	$(RM) $O signify signify.1.gz sha256hl.c sha512hl.c sha512_256hl.c
 
 clean: clean-signify
 .PHONY: clean-signify
@@ -222,6 +214,11 @@
 	sed -e 's/hashinc/sha2.h/g' \
 	    -e 's/HASH/SHA512/g' \
 	    -e 's/SHA[0-9][0-9][0-9]_CTX/SHA2_CTX/g' $< > $@
+
+sha512_256hl.c:	helper.c
+	sed -e 's/hashinc/sha2.h/g' \
+	    -e 's/HASH/SHA512_256/g' \
+	    -e 's/SHA512_256_CTX/SHA2_CTX/g' $< > $@
 
 install: signify signify.1.gz
 	install -m 755 -d $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
signify-openbsd (24-1) unstable; urgency=medium

  * d/control: update vcs links to salsa
  * Switch to dh compat 11
  * Fix insecure-copyright-format-uri
  * New upstream version 24

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 04 Sep 2018 08:17:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: signify-openbsd
+Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Maintainer: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 10), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11), libbsd-dev (>= 0.7.0), pkg-config
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
+Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
-Vcs-Git: git://anonscm.debian.org/collab-maint/signify-openbsd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/signify-openbsd.git
 
 Package: signify-openbsd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libbsd0 (>= 0.7.0)
+Depends: libbsd0 (>= 0.7.0), ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight cryptographic signing and verifying tool
  Similar to GNU Privacy Guard (GPG), signify is the tool which
  OpenBSD uses to cryptographically sign its releases, so that

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,13 @@
 	mv signify.1 signify-openbsd.1
 	dh_installman
 
+override_dh_auto_install:
+	dh_auto_install
+	# remove the openbsd manpage dir
+	rm -r debian/signify-openbsd/share
+	# move signify to signify-openbsd
+	mv debian/signify-openbsd/bin/signify debian/signify-openbsd/bin/signify-openbsd
+
 override_dh_clean:
-	if [ -f signify-openbsd.1 ]; then \
-		mv signify-openbsd.1 signify.1; \
-	fi
+	if [ -f signify-openbsd.1 ]; then mv signify-openbsd.1 signify.1; fi
 	dh_clean

## signify-openbsd 26

=== debian/changelog ===
signify-openbsd (26-2) unstable; urgency=medium

  [Helmut Grohne]
  * Fix FTCBFS: Use a host architecture pkg-config (Closes: #933400)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 06 Aug 2019 16:21:14 +0200

signify-openbsd (26-1) unstable; urgency=medium

  * New upstream version 26

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 28 Jul 2019 09:56:59 +0200

signify-openbsd (25-1) experimental; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3.0)
  * New upstream version 25

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 05 May 2019 17:10:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11), libbsd-dev (>= 0.7.0), pkg-config
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               libbsd-dev,
+               pkg-config
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
 
 Package: signify-openbsd
 Architecture: any
-Depends: libbsd0 (>= 0.7.0), ${misc:Depends}, ${shlibs:Depends}
+Depends: libbsd0, ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight cryptographic signing and verifying tool
  Similar to GNU Privacy Guard (GPG), signify is the tool which
  OpenBSD uses to cryptographically sign its releases, so that

## signify-openbsd 27

=== Makefile ===
--- 
+++ 
@@ -192,9 +192,11 @@
 O := $(patsubst %.c,%.o,$S)
 
 
-signify: CFLAGS += $(LIBBSD_CFLAGS) -Wall
+signify: override CFLAGS += $(LIBBSD_CFLAGS) -Wall
 signify: $O $(LIBBSD_DEPS)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBBSD_LDFLAGS) $(LDLIBS)
+
+zsig.o signify.o bcrypt_pbkdf.o: override CFLAGS += -Wno-pointer-sign
 
 clean-signify:
 	$(RM) $O signify signify.1.gz sha256hl.c sha512hl.c sha512_256hl.c

=== debian/changelog ===
signify-openbsd (27-1) unstable; urgency=medium

  * New upstream version 27
  * Update std-ver 4.4.1

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 06 Nov 2019 21:35:30 +0100

## signify-openbsd 28

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 BUNDLED_LIBBSD ?= 0
 PLEDGE         ?= noop
 WGET           ?= wget
-libbsd_VERSION ?= 0.9.1
+libbsd_VERSION ?= 0.10.0
 libbsd_BASEURL ?= http://libbsd.freedesktop.org/releases/
 #                                                                #
 ##################################################################
@@ -234,6 +234,12 @@
 dist: T := $(GIT_TAG)
 dist: V := $(patsubst v%,%,$T)
 dist:
-	git archive --prefix=signify-$V/ $T | xz -9c > signify-$V.tar.xz
+	git archive-all --force-submodules --prefix=signify-$V/ signify-$V.tar
+	xz -f9 signify-$V.tar
 
 .PHONY: dist
+
+check: signify
+	@sh regress/run
+
+.PHONY: check

=== debian/changelog ===
signify-openbsd (28-1) unstable; urgency=medium

  * New upstream version 28
  * Update std-ver to 4.5.0

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 07 Feb 2020 13:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
                debhelper-compat (= 12),
                libbsd-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify
+Rules-Requires-Root: no
 
 Package: signify-openbsd
 Architecture: any

## signify-openbsd 29

=== debian/changelog ===
signify-openbsd (29-1) unstable; urgency=medium

  * New upstream version 29
  * Bump std-ver to 4.5.0 (for real)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 13 Mar 2020 09:26:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper-compat (= 12),
                libbsd-dev,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify

## signify-openbsd 30

=== Makefile ===
--- 
+++ 
@@ -162,9 +162,11 @@
 LDFLAGS += $(SECCOMP_LIBS) -pthread
 S       += libwaive/waive.c
 
+ifneq ($(wildcard .gitmodules),)
 libwaive/waive.c: .gitmodules
 	git submodule init && git submodule update libwaive
 	touch $@
+endif
 endif
 
 ifeq ($(strip $(VERIFY_ONLY)),)
@@ -230,6 +232,7 @@
 
 .PHONY: install
 
+ifneq ($(wildcard .git/),)
 GIT_TAG  = $(shell git describe --tags HEAD)
 dist: T := $(GIT_TAG)
 dist: V := $(patsubst v%,%,$T)
@@ -238,8 +241,17 @@
 	xz -f9 signify-$V.tar
 
 .PHONY: dist
+endif
 
 check: signify
 	@sh regress/run
 
 .PHONY: check
+
+static:
+	$(MAKE) EXTRA_CFLAGS='$(EXTRA_CFLAGS) -pthread' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS) -pthread -static' BUNDLED_LIBBSD=1
+
+static-musl:
+	$(MAKE) EXTRA_CFLAGS='$(EXTRA_CFLAGS) -pthread' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS) -pthread -static' MUSL=1 CC=musl-gcc LD=musl-gcc
+
+.PHONY: static musl-static

=== debian/changelog ===
signify-openbsd (30-2) unstable; urgency=medium

  * Update watch file format version to 4.
  * Suggest signify-openbsd-keys (Closes: #979981)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Jan 2021 19:08:24 -0000

signify-openbsd (30-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Tomasz Buchert ]
  * New upstream version 30
  * debhelper 13

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 29 Sep 2020 07:58:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                libbsd-dev,
                pkg-config
 Standards-Version: 4.5.0
@@ -15,6 +15,7 @@
 Package: signify-openbsd
 Architecture: any
 Depends: libbsd0, ${misc:Depends}, ${shlibs:Depends}
+Suggests: signify-openbsd-keys
 Description: Lightweight cryptographic signing and verifying tool
  Similar to GNU Privacy Guard (GPG), signify is the tool which
  OpenBSD uses to cryptographically sign its releases, so that
@@ -29,6 +30,6 @@
  in this package is not exactly the same as the version provided
  in OpenBSD's CVS tree.
  .
- Please note that OpenBSD's public keys are not included with
- this package; you will have to find your own version in order
- to verify their releases.
+ Note that for convenience OpenBSD's public keys are shipped in the
+ signify-openbsd-keys package, but you can also download them
+ yourself.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+-include /usr/share/dpkg/buildtools.mk
+export PKG_CONFIG ?= pkg-config
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
version=4
opts=uversionmangle=s/v// https://github.com/aperezdc/signify/releases /aperezdc/signify/archive/(.+)\.tar\.gz

## signify-openbsd 31

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,6 @@
 MUSL           ?= 0
 BUNDLED_LIBBSD ?= 0
 PLEDGE         ?= noop
-WGET           ?= wget
-libbsd_VERSION ?= 0.10.0
-libbsd_BASEURL ?= http://libbsd.freedesktop.org/releases/
 #                                                                #
 ##################################################################
 
@@ -56,87 +53,40 @@
 endif
 
 BUNDLED_LIBBSD := $(strip $(BUNDLED_LIBBSD))
-BUNDLED_LIBBSD_VERIFY_GPG := $(strip $(BUNDLED_LIBBSD_VERIFY_GPG))
-
-ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
-  ifeq ($(BUNDLED_LIBBSD_VERIFY_GPG),)
-    # Try to detect whether "gpg" is installed.
-    BUNDLED_LIBBSD_VERIFY_GPG := $(shell which gpg 2> /dev/null || echo 0)
-  endif
-endif
 
 
 all: signify
 clean:
 
 
-# Building a static binary with Musl requires a few extra steps.
-# The rules take care of:
-#
-#   - Downloading a release (needed tools: wget).
-#   - Check the PGP signature (needed tools: gpg).
-#   - Unpack the tarball (needed tools: xz, tar).
-#   - Build libbsd.
-#
-# TODO: Also support curl for downloads.
-#
 ifeq ($(BUNDLED_LIBBSD),1)
 
-libbsd_VERSION  := $(strip $(libbsd_VERSION))
-libbsd_BASEURL  := $(strip $(libbsd_BASEURL))
-libbsd_TAR_NAME := libbsd-$(libbsd_VERSION).tar.xz
-libbsd_TAR_URL  := $(libbsd_BASEURL)/$(libbsd_TAR_NAME)
-libbsd_ARLIB    := libbsd-prefix/lib/libbsd.a
-libbsd_INCLUDE  := libbsd-prefix/include
-
-ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
-libbsd_ASC_NAME := $(libbsd_TAR_NAME).asc
-libbsd_ASC_URL  := $(libbsd_BASEURL)/$(libbsd_ASC_NAME)
-$(libbsd_ASC_NAME):
-	$(WGET) -cO $@ '$(libbsd_ASC_URL)'
-	touch $@
-endif
-
-$(libbsd_TAR_NAME): $(libbsd_ASC_NAME)
-	$(WGET) -cO $@ '$(libbsd_TAR_URL)'
-ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
-	$(BUNDLED_LIBBSD_VERIFY_GPG) --verify $(libbsd_ASC_NAME)
-endif
-	touch $@
-
-libbsd-download: $(libbsd_TAR_NAME)
-
-libbsd-clean:
-	$(RM) -r libbsd-prefix libbsd-$(libbsd_VERSION)
-
-clean: libbsd-clean
-
-libbsd-print-urls:
-ifneq ($(BUNDLED_LIBBSD_VERIFY_GPG),0)
-	@echo '$(libbsd_ASC_URL)'
-endif
-	@echo '$(libbsd_TAR_URL)'
-
-libbsd-$(libbsd_VERSION)/configure: $(libbsd_TAR_NAME)
-	unxz -c $< | tar -xf -
-	touch $@
-
-libbsd-$(libbsd_VERSION)/Makefile: libbsd-$(libbsd_VERSION)/configure
-	( cd libbsd-$(libbsd_VERSION) && ./configure \
-		--enable-static --disable-shared \
-		--prefix=$$(pwd)/../libbsd-prefix \
-		CC=$(CC) LD=$(CC) )
-
-$(libbsd_ARLIB) $(libbsd_INCLUDE)/bsd/bsd.h: libbsd-$(libbsd_VERSION)/Makefile
-	$(MAKE) -C libbsd-$(libbsd_VERSION) install
-
-.PHONY: libbsd-download libbsd-clean libbsd-print-urls
-
-LIBBSD_DEPS    := libbsd-prefix/lib/libbsd.a
-LIBBSD_CFLAGS  := -isystem libbsd-prefix/include
+S += libbsd/arc4random.c \
+     libbsd/freezero.c \
+     libbsd/progname.c \
+     libbsd/readpassphrase.c \
+     libbsd/strlcpy.c
+
+libbsd-config.h:
+	for i in $(patsubst conf/%.c,%,$(wildcard conf/*.c)); do \
+		if $(CC) $(LDFLAGS) -o conf-$$i conf/$$i.c > /dev/null 2>&1 ; then \
+			echo "#define $$i" ; \
+		fi ; \
+		$(RM) conf-$$i ; \
+	done > $@
+
+clean: clean-libbsd-config
+
+clean-libbsd-config:
+	$(RM) libbsd-config.h
+
+.PHONY: clean-libbsd-config
+
+$S: libbsd-config.h
+
+LIBBSD_DEPS    :=
+LIBBSD_CFLAGS  := -isystem libbsd/bsd -DLIBBSD_OVERLAY -include libbsd-config.h
 LIBBSD_LDFLAGS :=
-
-$S: $(libbsd_INCLUDE)/bsd/bsd.h
 
 else
 
@@ -146,8 +96,8 @@
   $(error libbsd is not installed or version is older than $(LIBBSD_PKG_VERSION))
 endif
 LIBBSD_DEPS    :=
-LIBBSD_CFLAGS  := $(shell pkg-config libbsd --cflags)
-LIBBSD_LDFLAGS := $(shell pkg-config libbsd --libs)
+LIBBSD_CFLAGS  := $(shell pkg-config libbsd-overlay --cflags)
+LIBBSD_LDFLAGS := $(shell pkg-config libbsd-overlay --libs)
 
 endif
 
@@ -254,4 +204,4 @@
 static-musl:
 	$(MAKE) EXTRA_CFLAGS='$(EXTRA_CFLAGS) -pthread' EXTRA_LDFLAGS='$(EXTRA_LDFLAGS) -pthread -static' MUSL=1 CC=musl-gcc LD=musl-gcc
 
-.PHONY: static musl-static
+.PHONY: static static-musl

=== debian/changelog ===
signify-openbsd (31-3) unstable; urgency=medium

  * Update the licenses (Closes: #1022121)
  * Update std-ver to 4.6.1

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Oct 2022 23:04:56 +0200

signify-openbsd (31-2) unstable; urgency=medium

  * Fix debian/watch

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 25 Sep 2022 16:32:32 +0200

signify-openbsd (31-1) unstable; urgency=medium

  * Update d/watch
  * New upstream version 31

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 25 Apr 2022 23:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper-compat (= 13),
                libbsd-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify

## signify-openbsd 32

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 CFLAGS   += $(EXTRA_CFLAGS)
 LDFLAGS  += $(EXTRA_LDFLAGS)
 CPPFLAGS += -include compat.h
+INSTALL  ?= install
 
 S := crypto_api.c \
      mod_ed25519.c \
@@ -21,6 +22,7 @@
 	 timingsafe_bcmp.c \
 	 blowfish.c \
 	 base64.c \
+	 ohash.c \
 	 sha2.c \
 	 sha256hl.c \
 	 sha512hl.c \
@@ -90,7 +92,7 @@
 
 else
 
-LIBBSD_PKG_VERSION := 0.7
+LIBBSD_PKG_VERSION := 0.8
 LIBBSD_PKG_CHECK   := $(shell pkg-config libbsd --atleast-version=$(LIBBSD_PKG_VERSION) && echo ok)
 ifneq ($(strip $(LIBBSD_PKG_CHECK)),ok)
   $(error libbsd is not installed or version is older than $(LIBBSD_PKG_VERSION))
@@ -119,9 +121,7 @@
 endif
 endif
 
-ifeq ($(strip $(VERIFY_ONLY)),)
-S += ohash.c
-else
+ifeq ($(strip $(VERIFY_ONLY)),1)
      CPPFLAGS += -DVERIFY_ONLY=1
      $(warning )
      $(warning ******************************************************)
@@ -175,10 +175,10 @@
 	    -e 's/SHA512_256_CTX/SHA2_CTX/g' $< > $@
 
 install: signify signify.1.gz
-	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
-	install -m 755 -t $(DESTDIR)$(PREFIX)/bin signify
-	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 -t $(DESTDIR)$(PREFIX)/share/man/man1 signify.1.gz
+	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -m 755 -t $(DESTDIR)$(PREFIX)/bin signify
+	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
+	$(INSTALL) -m 644 -t $(DESTDIR)$(PREFIX)/share/man/man1 signify.1.gz
 
 .PHONY: install

=== debian/changelog ===
signify-openbsd (32-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install files into /usr. (DEP17 M2) (Closes: #1060356)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 01:01:09 +0200

signify-openbsd (32-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Bastian Germann ]
  * Drop BSD advertisement clause (Closes: #1022121)

  [ Tomasz Buchert ]
  * New upstream version 32
  * Update std-ver to 4.6.2

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Mar 2024 10:56:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 13),
-               debhelper-compat (= 13),
-               libbsd-dev,
-               pkg-config
-Standards-Version: 4.6.1
+Build-Depends: debhelper (>= 13), debhelper-compat (= 13), libbsd-dev, pkgconf
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/signify-openbsd
 Vcs-Git: https://salsa.debian.org/debian/signify-openbsd.git
 Homepage: https://github.com/aperezdc/signify

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,11 @@
 	dh_installman
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install -- PREFIX=/usr
 	# remove the openbsd manpage dir
-	rm -r debian/signify-openbsd/share
+	rm -r debian/signify-openbsd/usr/share
 	# move signify to signify-openbsd
-	mv debian/signify-openbsd/bin/signify debian/signify-openbsd/bin/signify-openbsd
+	mv debian/signify-openbsd/usr/bin/signify debian/signify-openbsd/usr/bin/signify-openbsd
 
 override_dh_clean:
 	if [ -f signify-openbsd.1 ]; then mv signify-openbsd.1 signify.1; fi

=== debian/watch ===
version=4
https://github.com/aperezdc/signify/tags .*/v(\d\S+)\.tar\.gz
